package dk.nsp.uuid2cpr.proxy.health;

public class HealthStatus {
    private boolean healthy;
    private String description;

    private HealthStatus(boolean healthy, String description) {
        this.healthy = healthy;
        this.description = description;
    }

    public static HealthStatus ok() {
        return new HealthStatus(true, null);
    }

    public static HealthStatus unhealthy(String description) {
        return new HealthStatus(false, description);
    }

    public boolean isHealthy() {
        return healthy;
    }

    public String getDescription() {
        return description;
    }
}
